using System;
using System.Web.UI.WebControls;
using System.Web.UI;

namespace RussellMason.Web.UI
{

	/// <summary>
	/// Summary description for MyWebControl.
	/// </summary>
	public class MyWebControl : WebControl, INamingContainer
	{
		public virtual bool DesignMode 
		{
			get 
			{
				return false;
			}
		}

		public override void DataBind ()
		{
			/* make sure all the child controls have been created */
			EnsureChildControls ();
			/* and then... */
			base.DataBind();
		}

		protected override void Render (HtmlTextWriter w)
		{
			/* make sure all the child controls have been created */
			EnsureChildControls ();
			/* and then... */
			base.Render (w);
		}

		protected virtual void RecreateChildControls ()
		{
			/* for now just call CreateChildControls to force
			 * the recreation of our children. */
			CreateChildControls ();
		}
	
		public override ControlCollection Controls 
		{
			get 
			{
				/* make sure all the child controls have been created */
				EnsureChildControls ();
				/* and then... */
				return base.Controls;
			}
		}
	}
}
