using System;
using System.Collections;
using System.Text;
using System.Web.UI.WebControls;
using System.Web.UI;
using System.ComponentModel;

//using RussellMason.Web.UI.Office2007.Design;

namespace RussellMason.Web.UI.Office2007
{

	/// <summary>
	/// Represents a vertical line to separate ribbon controls within a ribbon group.
	/// </summary>
	[
	//Designer(typeof(RibbonSeparatorDesigner)),
	ToolboxData("<{0}:RibbonSeparator runat=\"server\"></{0}:RibbonSeparator>"),
	]
	public class RibbonSeparator : RibbonControl
	{

		#region Constructors

		/// <summary>
		/// Initializes a new instance of the RibbonSeparator class.
		/// </summary>
		public RibbonSeparator()
		{
			this.EnableSharedState = false;  // Not needed
		} 

		#endregion Constructors

		#region Implementation Properties

		/// <summary>
		/// Gets the control's tag type.
		/// </summary>
		protected override HtmlTextWriterTag TagKey
		{
			get
			{
				return HtmlTextWriterTag.Div;
			}
		}

		#endregion Implementation Properties

		#region Implementation Methods

		/// <summary>
		/// Creates the control's layout.
		/// </summary>
		protected override void AddAttributesToRender(HtmlTextWriter writer)
		{
			writer.AddAttribute("class", "ribbonSeparator ribbonPart");

			base.AddAttributesToRender(writer);
		}

		#endregion Implementation Methods

	}

}
