using System;
using System.Web.UI;
using System.Web.UI.WebControls;


namespace RussellMason.Web.UI
{
	/// <summary>
	/// Summary description for SharedStateHiddenField.
	/// </summary>
	public class SharedStateHiddenField : WebControl
	{
		public string Value 
		{
			get { return ViewState["Value"] != null ? (string)ViewState["Value"] : string.Empty; }
			set { ViewState["Value"] = value; }
		}

		protected override void AddAttributesToRender(HtmlTextWriter writer)
		{
			writer.AddAttribute(HtmlTextWriterAttribute.Id, ClientID);
			writer.AddAttribute(HtmlTextWriterAttribute.Name, ClientID);
			writer.AddAttribute(HtmlTextWriterAttribute.Value, Value);
			writer.AddAttribute(HtmlTextWriterAttribute.Type, "hidden");
		}

		protected override HtmlTextWriterTag TagKey
		{
			get
			{
				return HtmlTextWriterTag.Input;
			}
		}


	}
}

